Loading...
Searching...
No Matches
etl::mem_cast< Size_, Alignment_ > Class Template Reference

mem_cast More...

`#include <mem_cast.h>`

## Public Member Functions

| ETL_STATIC_ASSERT ((Alignment==1)||etl::is_power_of_2< Alignment >::value, "Alignment must be a power of 2")
| mem_cast ()
| Default constructor.
template<size_t Other_Size, size_t Other_Alignment>
| mem_cast (const mem_cast< Other_Size, Other_Alignment > &other)
| Copy constructor.
template<size_t Other_Size, size_t Other_Alignment>
mem_cast & | operator= (const mem_cast< Other_Size, Other_Alignment > &rhs)
| Assignment operator.
template<typename T>
void | assign (const T &value)
| Assign from value.
template<typename T>
void | assign_at_offset (size_t offset, const T &value)
| Assign from value at offset.
template<typename T, size_t Offset>
void | assign_at_offset (const T &value)
| Assign from value at offset.
template<typename T>
ETL_NODISCARD T & | ref ()
| Get a reference to T.
template<typename T>
ETL_NODISCARD const T & | ref () const
| Get a const reference to T.
template<typename T>
ETL_NODISCARD T & | ref_at_offset (size_t offset)
| Get a reference to T at offset (dynamic).
template<typename T>
ETL_NODISCARD const T & | ref_at_offset (size_t offset) const
| Get a const reference to T at offset (dynamic).
template<typename T, size_t Offset>
ETL_NODISCARD T & | ref_at_offset ()
| Get a reference to T at offset (static).
template<typename T, size_t Offset>
ETL_NODISCARD const T & | ref_at_offset () const
| Get a const reference to T at offset (static).
ETL_NODISCARD char * | data ()
| Get a pointer to the internal buffer.
ETL_NODISCARD const char * | data () const
| Get a const pointer to the internal buffer.

## Static Public Member Functions

static ETL_NODISCARD ETL_CONSTEXPR size_t | size ()
| Get the size of the buffer.
static ETL_NODISCARD ETL_CONSTEXPR size_t | alignment ()
| Get the alignment of the buffer.

## Static Public Attributes

static ETL_CONSTANT size_t | Size = Size_
static ETL_CONSTANT size_t | Alignment = Alignment_

## Detailed Description

template<size_t Size_, size_t Alignment_>
class etl::mem_cast< Size_, Alignment_ >

mem_cast

The documentation for this class was generated from the following file:

- include/etl/mem_cast.h